{include file='r_basic/paginate.tpl'
    paginate=$appointments_paginate
    tabname="{$butlerId}_paginate_appointments"}

<table id="{$butlerId}_appointments_table" class="dashed">
    <colgroup>
        <col style="width: 5%">
        <col class="edtp-btn noprint"> {* ~5% *}
        <col style="width: 10%">
        <col style="width: 30%">
        <col style="width: 15%">
        <col style="width: 15%">
        <col style="width: 15%">
        <col style="width: 5%">
    </colgroup>
    <thead>
        <tr class="editablepop">
            <th></th>
            <th title="{$i.meetingmanager_add_description}" class="smallbtns"><a class="dialog_make_btn24 add ui-corner-all" onclick="meetingmanager.add.addAppointment('{$butlerId}', 'add', 0, {$subject_id});"></a></th>
            <th><span onclick="meetingmanager.order_by('{$butlerId}', 'appointments', 'number', this);" class="order_by {if $order_by}{if $order_by eq 'number'}{if $ascention eq 'asc'}selected1{else}selected2{/if}{/if}{/if}">{$i.meetingmanager_number}</span></th>
            <th><span onclick="meetingmanager.order_by('{$butlerId}', 'appointments', 'name', this);" class="order_by {if $order_by}{if $order_by eq 'name'}{if $ascention eq 'asc'}selected1{else}selected2{/if}{/if}{/if}">{$i.meetingmanager_name}</span></th>
            <th>{$i.meetingmanager_publish_title}</th>
            <th><span onclick="meetingmanager.order_by('{$butlerId}', 'appointments', 'date', this);" class="order_by {if $order_by}{if $order_by eq 'date'}{if $ascention eq 'asc'}selected1{else}selected2{/if}{/if}{/if}">{$i.meetingmanager_date}</span></th>
            <th><span onclick="meetingmanager.order_by('{$butlerId}', 'appointments', 'time', this);" class="order_by {if $order_by}{if $order_by eq 'time'}{if $ascention eq 'asc'}selected1{else}selected2{/if}{/if}{/if}">{$i.meetingmanager_time}</span></th>
            <th title="{$i.meetingmanager_view_description}">...</th>
        </tr>
    </thead>
    {if empty($appointments)}
        <tr>
            <td></td>
            <td colspan="7" title="{$i.meetingmanager_appointment_empty_description}">{$i.meetingmanager_appointment_empty}</td>
        </tr>
    {else}
        {foreach item="appointment" from=$appointments}
            <tr class="smallbtns editablepop" ondblclick="meetingmanager.add.addAppointment('{$butlerId}', 'edit', {$appointment->id}, {$subject_id});" style="{if $appointment->is_published == 0}background: #fff2f2;{/if}">
                <td>
                    <span title="{$i.meetingmanager_show_tasks}"
                          class="dialog_make_btn16 show_only smallbtns ui-corner-all"
                          onclick="meetingmanager.accordion.showTasks('{$butlerId}', {$appointment->id});"></span>
                </td>
                <td title="{$i.meetingmanager_edit_description}" style="text-align: center">
                    <span class="dialog_make_btn24 dot3ps smallbtns" onclick="meetingmanager.edit.open_popup('{$butlerId}', 'appointment', {$appointment->id});"></span>
                    <div id="{$butlerId}_edit_appointment_{$appointment->id}_container" class="ui-corner-all ui-widget-header dot3-container">
                        <div class="dot3-caret"><div class="dot3-caret-outer"></div><div class="dot3-caret-inner"></div></div>
                        <span onclick="meetingmanager.add.addAppointment('{$butlerId}', 'edit', {$appointment->id}, {$subject_id});" class="dialog_make_btn16 edit mobile_big smallbtns ui-corner-all" title="{$i.meetingmanager_edit_description} ({$appointment->id})">{$i.meetingmanager_edit_description}</span>
                        <span onclick="meetingmanager.add.addAppointment('{$butlerId}', 'copy', {$appointment->id}, {$subject_id});" class="dialog_make_btn16 copy mobile_big smallbtns ui-corner-all" title="{$i.meetingmanager_copy_description} ({$appointment->id})">{$i.meetingmanager_copy_description}</span>
                        <span onclick="meetingmanager.send_mail.open('{$butlerId}', {$appointment->participants|json_encode});" class="dialog_make_btn16 inoutbox mobile_big smallbtns ui-corner-all" title="{$i.meetingmanager_appointment_send_mail} ({$appointment->id})">{$i.meetingmanager_appointment_send_mail}</span>
                        {if $appointment->is_transfered eq '1'}
                            <span onclick="meetingmanager.transfer.open('{$butlerId}', 'appointment', {$appointment->id});"
                                  class="dialog_make_btn16 personalappointmentplaner ui-corner-all"
                                  title="{$i.meetingmanager_appointment_transfer_is_transfered} ({$appointment->id})">
                                {$i.meetingmanager_appointment_transfer_is_transfered}
                            </span>
                        {else}
                            <span onclick="meetingmanager.transfer.open('{$butlerId}', 'appointment', {$appointment->id});"
                                  class="dialog_make_btn16 personalappointmentplaner ui-corner-all"
                                  title="{$i.meetingmanager_appointment_transfer} ({$appointment->id})">
                                {$i.meetingmanager_appointment_transfer}
                            </span>
                        {/if}
                        {if $appointment->is_published eq '1'}
                            <span onclick="meetingmanager.save.remove_publish_appointment('{$butlerId}', {$appointment->id});" 
                                  class="dialog_make_btn16 mobile_big smallbtns ui-corner-all" 
                                  title="{$i.meetingmanager_add_appointment_remove_publish} ({$appointment->id})"
                                  style="background: #ffdddd">
                                {$i.meetingmanager_add_appointment_remove_publish}
                            </span>
                        {else}
                            <span onclick="meetingmanager.save.publish_appointment('{$butlerId}', {$appointment->id});"
                                  class="dialog_make_btn16 mobile_big smallbtns ui-corner-all"
                                  title="{$i.meetingmanager_add_appointment_publish} ({$appointment->id})"
                                  style="background: #ddffdd">
                                {$i.meetingmanager_add_appointment_publish}
                            </span>
                        {/if}
                        <span onclick="meetingmanager.delete.deleteAppointment('{$butlerId}', {$appointment->id}, {$subject_id});" class="dialog_make_btn16 delete mobile_big smallbtns ui-corner-all" title="{$i.meetingmanager_delete_description} ({$appointment->id})">{$i.meetingmanager_delete_description}</span>
                    </div>
                </td>
                <td title="{$i.meetingmanager_appointment_number_description}"
                    style="text-align: center; max-width: 50px; overflow: hidden; text-overflow: ellipsis; white-space: nowrap;">{$appointment->number}</td>
                <td title="{$i.meetingmanager_appointment_name_description}"
                    style="max-width: 50px; overflow: hidden; text-overflow: ellipsis; white-space: nowrap;">{$appointment->name}</td>
                {if $appointment->is_published eq 1}
                    <td title="{$i.meetingmanager_add_appointment_is_published}"
                    style="text-align: center; max-width: 50px; overflow: hidden; text-overflow: ellipsis; white-space: nowrap;">{$i.meetingmanager_add_appointment_is_published}</td>
                {else}
                    <td title="{$i.meetingmanager_add_appointment_is_not_published}"
                    style="text-align: center; max-width: 50px; overflow: hidden; text-overflow: ellipsis; white-space: nowrap;">{$i.meetingmanager_add_appointment_is_not_published}</td>
                {/if}
                <td title="{$i.meetingmanager_appointment_date_description}"
                    style="text-align: center;">{$appointment->date->us_date()}</td>
                <td title="{$i.meetingmanager_appointment_time_description}"
                    style="text-align: center;">{$appointment->time}</td>
                <td title="{$i.meetingmanager_view_description}" style="text-align: center;">
                    <span onclick="meetingmanager.show.appointment('{$butlerId}', {$appointment->id});" class="dialog_make_btn16 search mobile_big smallbtns ui-corner-all" title="{$i.meetingmanager_view_description}"></span>
                </td>
            </tr>
        {/foreach}
    {/if}
</table>

{include file='r_basic/paginate.tpl'
    paginate=$appointments_paginate
    hide_select_perpage=TRUE
    tabname="{$butlerId}_paginate_appointments"}

<div id='{$butlerId}_appointment_subject_id' style="display:none">{$subject_id}</div>