{include file='r_basic/paginate.tpl'
    paginate=$correspondences_paginate
    tabname="{$butlerId}_paginate_correspondences"}

<table id="{$butlerId}_correspondences_table" class="dashed">
    <colgroup>
        <col style="width: 40%">
        <col style="width: 55%">
        <col style="width: 5%">
    </colgroup>
    <thead>
        <tr class="editablepop">
            <th>{$i.meetingmanager_attachment}</th>
            <th><span onclick="meetingmanager.order_by('{$butlerId}', 'correspondences', 'name', this);" class="order_by {if $order_by}{if $order_by eq 'name'}{if $ascention eq 'asc'}selected1{else}selected2{/if}{/if}{/if}">{$i.meetingmanager_name}</span></th>
            <th title="{$i.meetingmanager_view_description}">...</th>
        </tr>
    </thead>
    {if empty($correspondences)}
        <tr>
            <td colspan='3' title="{$i.meetingmanager_correspondences_empty_description}">{$i.meetingmanager_correspondences_empty}</td>
        </tr>
    {else}
        {foreach item="correspondence" from=$correspondences}
            <tr title="Test">
                {if empty($correspondence->attachments)}
                    <td title="{$i.meetingmanager_correspondences_empty_attachment_description}">{$i.meetingmanager_correspondences_empty_attachment}</td>
                {else}
                    <td title="{$i.meetingmanager_correspondence_attachment_description}">
                    {foreach item="attachment" from=$correspondence->attachments}
                        {if $attachment->type|strstr:'image'}
                            <img class="smallbtns" id="{$butlerId}_image_{$correspondence->name}_{$attachment->name}" src="{$attachment->data}" style="width: 50px; height: auto;" onclick='meetingmanager.cloud.open_image({$attachment|@json_encode});' title="{$attachment->originalName}">
                        {elseif $attachment->type|strstr:'text/plain'}
                            <span id="{$butlerId}_file_{$correspondence->name}_{$attachment->name}" class="dialog_make_btn16 file smallbtns ui-corner-all" onclick='meetingmanager.cloud.open_or_save_file({$attachment|@json_encode});' title="{$attachment->originalName}"></span>
                        {elseif $attachment->type|strstr:'application/msword'}
                            <span id="{$butlerId}_file_{$correspondence->name}_{$attachment->name}" class="dialog_make_btn16 file smallbtns ui-corner-all" onclick='meetingmanager.cloud.open_or_save_file({$attachment|@json_encode});' title="{$attachment->originalName}"></span>
                        {elseif $attachment->type|strstr:'application/vnd.openxmlformats-officedocument.wordprocessingml.document'}
                            <span id="{$butlerId}_file_{$correspondence->name}_{$attachment->name}" class="dialog_make_btn16 file smallbtns ui-corner-all" onclick='meetingmanager.cloud.open_or_save_file({$attachment|@json_encode});' title="{$attachment->originalName}"></span>
                        {elseif $attachment->type|strstr:'application/msexcel'}
                            <span id="{$butlerId}_file_{$correspondence->name}_{$attachment->name}" class="dialog_make_btn16 xls smallbtns ui-corner-all" onclick='meetingmanager.cloud.open_or_save_file({$attachment|@json_encode});' title="{$attachment->originalName}"></span>
                        {elseif $attachment->type|strstr:'application/vnd.openxmlformats-officedocument.spreadsheetml.sheet'}
                            <span id="{$butlerId}_file_{$correspondence->name}_{$attachment->name}" class="dialog_make_btn16 xls smallbtns ui-corner-all" onclick='meetingmanager.cloud.open_or_save_file({$attachment|@json_encode});' title="{$attachment->originalName}"></span>
                        {elseif $attachment->type|strstr:'text/comma-separated-values'}
                            <span id="{$butlerId}_file_{$correspondence->name}_{$attachment->name}" class="dialog_make_btn16 csv smallbtns ui-corner-all" onclick='meetingmanager.cloud.open_or_save_file({$attachment|@json_encode});' title="{$attachment->originalName}"></span>
                        {else}
                            <span id="{$butlerId}_file_{$correspondence->name}_{$attachment->name}" class="dialog_make_btn16 file smallbtns ui-corner-all" onclick='meetingmanager.cloud.open_or_save_file({$attachment|@json_encode});' title="{$attachment->originalName}"></span>
                        {/if}
                    {/foreach}
                    </td>
                {/if}
                <td title="{$i.meetingmanager_correspondence_name_description}"
                    style="max-width: 50px; overflow: hidden; text-overflow: ellipsis; white-space: nowrap;">{$correspondence->name}</td>
                <td title="{$i.meetingmanager_view_description}" style="text-align: center;">
                    <span onclick="meetingmanager.show.correspondence('{$butlerId}', '{$correspondence->id}', {$correspondence->task_id});" class="dialog_make_btn16 search mobile_big smallbtns ui-corner-all" title="{$i.meetingmanager_view_description}"></span>
                </td>
            </tr>
        {/foreach}
    {/if}
</table>

{include file='r_basic/paginate.tpl'
    paginate=$correspondences_paginate
    hide_select_perpage=TRUE
    tabname="{$butlerId}_paginate_correspondences"}
    
<div id='{$butlerId}_correspondence_task_id' style="display:none">{$correspondence->task_id}</div>