{include file='r_basic/paginate.tpl'
    paginate=$subjects_paginate
    tabname="{$butlerId}_paginate_subjects"}

<table id="{$butlerId}_subjects_table" class="dashed">
    <colgroup>
        <col style="width: 5%">
        <col class="edtp-btn noprint"> {* ~5% *}
        <col style="width: 10%">
        <col style="width: 75%">
        <col style="width: 5%">
    </colgroup>
    <thead>
        <tr class="editablepop">
            <th></th>
            <th title="{$i.meetingmanager_add_description}" class="smallbtns"><a class="dialog_make_btn24 add ui-corner-all" onclick="meetingmanager.add.addSubject('{$butlerId}', 'add', 0, {$project_id});"></a></th>
            <th><span onclick="meetingmanager.order_by('{$butlerId}', 'subjects', 'number', this);" class="order_by {if $order_by}{if $order_by eq 'number'}{if $ascention eq 'asc'}selected1{else}selected2{/if}{/if}{/if}">{$i.meetingmanager_number}</span></th>
            <th><span onclick="meetingmanager.order_by('{$butlerId}', 'subjects', 'name', this);" class="order_by {if $order_by}{if $order_by eq 'name'}{if $ascention eq 'asc'}selected1{else}selected2{/if}{/if}{/if}">{$i.meetingmanager_name}</span></th>
            <th title="{$i.meetingmanager_view_description}">...</th>
        </tr>
    </thead>
    {if empty($subjects)}
        <tr>
            <td></td>
            <td colspan="3" title="{$i.meetingmanager_subject_empty_description}">{$i.meetingmanager_subject_empty}</td>
        </tr>
    {else}
        {foreach item="subject" from=$subjects}
            <tr class="smallbtns editablepop" ondblclick="meetingmanager.add.addSubject('{$butlerId}', 'edit', {$subject->id}, {$project_id});">
                <td>
                    <span title="{$i.meetingmanager_show_appointments}"
                          class="dialog_make_btn16 show_only smallbtns ui-corner-all"
                          onclick="meetingmanager.accordion.showAppointments('{$butlerId}', {$subject->id});"></span>
                </td>
                <td title="{$i.meetingmanager_edit_description}" style="text-align: center">
                    <span class="dialog_make_btn24 dot3ps smallbtns" onclick="meetingmanager.edit.open_popup('{$butlerId}', 'subject', {$subject->id});"></span>
                    <div id="{$butlerId}_edit_subject_{$subject->id}_container" class="ui-corner-all ui-widget-header dot3-container">
                        <div class="dot3-caret"><div class="dot3-caret-outer"></div><div class="dot3-caret-inner"></div></div>
                        <span onclick="meetingmanager.add.addSubject('{$butlerId}', 'edit', {$subject->id}, {$project_id});" class="dialog_make_btn16 edit mobile_big smallbtns ui-corner-all" title="{$i.meetingmanager_edit_description} ({$subject->id})">{$i.meetingmanager_edit_description}</span>
                        <span onclick="meetingmanager.add.addSubject('{$butlerId}', 'copy', {$subject->id}, {$project_id});" class="dialog_make_btn16 copy mobile_big smallbtns ui-corner-all" title="{$i.meetingmanager_copy_description} ({$subject->id})">{$i.meetingmanager_copy_description}</span>
                        <span onclick="meetingmanager.delete.deleteSubject('{$butlerId}', {$subject->id});" class="dialog_make_btn16 delete mobile_big smallbtns ui-corner-all" title="{$i.meetingmanager_delete_description} ({$subject->id})">{$i.meetingmanager_delete_description}</span>
                    </div>
                </td>
                <td title="{$i.meetingmanager_subject_number_description}"
                    style="text-align: center; max-width: 50px; overflow: hidden; text-overflow: ellipsis; white-space: nowrap;">{$subject->number}</td>
                <td title="{$i.meetingmanager_subject_name_description}"
                    style="max-width: 50px; overflow: hidden; text-overflow: ellipsis; white-space: nowrap;">{$subject->name}</td>
                <td title="{$i.meetingmanager_view_description}" style="text-align: center;">
                    <span title="{$i.meetingmanager_view_description}"
                          onclick="meetingmanager.show.subject('{$butlerId}', {$subject->id});"
                          class="dialog_make_btn16 search mobile_big smallbtns ui-corner-all"></span>
                </td>
            </tr>
        {/foreach}
    {/if}
</table>

{include file='r_basic/paginate.tpl'
    paginate=$subjects_paginate
    hide_select_perpage=TRUE
    tabname="{$butlerId}_paginate_subjects"}
    
{if $PREFIX}
    <div id="{$PREFIX}_{$id}_subject_project_id" style="display:none">{$project_id}</div>
{else}
    <div id="{$butlerId}_subject_project_id" style="display:none">{$project_id}</div>
{/if}