<table class="vcard">
    <tbody class="n">
        <span class="fn" style="display: none;">{$address_info|address_long}</span>
        <tr {if $address_info_derived->name}class="infobluerow"{/if}>
            <td>{$i.addresses_name}</td>
            <td class="org {if empty($address_info->contact_person)}family-name{/if}">{$address_info->name}</td>
        </tr>
        {if $address_info->comp_supp neq ''}
            <tr {if $address_info_derived->comp_supp}class="infobluerow"{/if}>
                <td>{$i.addresses_comp_supp}</td>
                <td>{$address_info->comp_supp}</td>
            </tr>
        {/if}
        {if $address_info->title neq ''}
            <tr {if $address_info_derived->title}class="infobluerow"{/if}>
                <td>{$i.addresses_title}</td>
                <td>{$address_info->title}</td>
            </tr>
        {/if}
        {if $address_info->academic_title neq ''}
            <tr {if $address_info_derived->academic_title}class="infobluerow"{/if}>
                <td>{$i.addresses_academic_title}</td>
                <td>{$address_info->academic_title}</td>
            </tr>
        {/if}
        {if $address_info->first_name neq ''}
            <tr {if $address_info_derived->first_name}class="infobluerow"{/if}>
                <td>{$i.addresses_first_name}</td>
                <td class="given-name">{$address_info->first_name}</td>
            </tr>
        {/if}
        {if $address_info->contact_person neq ''}
            <tr {if $address_info_derived->contact_person}class="infobluerow"{/if}>
                <td>{$i.addresses_contact_person}</td>
                <td {if !empty($address_info->contact_person)}class="family-name"{/if}>{$address_info->contact_person}</td>
            </tr>
        {/if}
        {if $address_info->master_title neq ''}
            <tr {if $address_info_derived->master_title}class="infobluerow"{/if}>
                <td>{$i.addresses_master_title}</td>
                <td>{$address_info->master_title}</td>
            </tr>          
        {/if}
    </tbody>

    <tbody class="adr">
        <span class="type" style="display: none;">work</span>
        <tr {if $address_info_derived->street}class="infobluerow"{/if}>
            <td>{$i.addresses_street}</td>
            <td class="street-address">{$address_info->street}</td>
        </tr>
        {if $address_info->street2 neq ''}
            <tr {if $address_info_derived->street2}class="infobluerow"{/if}>
                <td>{$i.addresses_street2}</td>
                <td class="street-address">{$address_info->street2}</td>
            </tr>
        {/if}
        <tr {if $address_info_derived->zip_town}class="infobluerow"{/if}>
            <td>
                {$i.addresses_zip} / {$i.addresses_town}
                {if $us_mapping eq ''}
                    <span class="dialog_make_btn16 maps smallbtns ui-corner-all" style="opacity: 0.2;"
                        onclick="alert('{$i.addresses_view_mapping} Deaktiviert/Deactivated')"
                        title="{$i.addresses_view_mapping} Deaktiviert/Deactivated"></span>
                {else}
                    <span class="dialog_make_btn16 maps smallbtns ui-corner-all"
                        onclick="usComm.windowOpen('{$address_info->maps_url}');"
                        title="{$i.addresses_view_mapping} ({$us_mapping})"></span>
                {/if}
            </td>
            <td><span class="postal-code">{$address_info->zip}</span> <span class="locality">{$address_info->town}</span></td>
        </tr>
        <tr {if $address_info_derived->country}class="infobluerow"{/if}>
            <td>{$i.addresses_country}</td>
            <td class="country-name">{$address_info->country}</td>
        </tr>
    </tbody>

    <tbody>
        <tr {if $address_info_derived->phone1}class="infobluerow"{/if} {if $address_info->phone1 eq ''}style="display: none;"{/if}>
            <td>
                {$i.addresses_phone1}
                {$address_info->phone1|tocallphone:$addr_sys_phone:$i:1:$address_info->id}{*
                *}{$address_info->phone1|toskypehone:$address_info->id}{*
                *}{if !$addr_sys_tapi_data}{$address_info->phone1|totapiphone:$addr_sys_phone}{else}{*
                *}{$address_info->phone1|totapiphone2:$addr_sys_phone}{/if}
            </td>
            <td class="tel">
                <span class="type" style="display: none;">work</span>
                <span class="value">
                {if empty($addr_sys_phone.part1) || $call_is_mobile}
                    {$address_info->phone1|torealphone}
                {else}
                    {$address_info->phone1|tocallphone:$addr_sys_phone:$i:0:$address_info->id}
                {/if}
                </span>
            </td>
        </tr>
        {if $address_info->phone2 neq ''}
            <tr {if $address_info_derived->phone2}class="infobluerow"{/if}>
                <td>
                    {$i.addresses_phone2}
                    {$address_info->phone2|tocallphone:$addr_sys_phone:$i:1:$address_info->id}{*
                    *}{$address_info->phone2|toskypehone:$address_info->id}{*
                    *}{if !$addr_sys_tapi_data}{$address_info->phone2|totapiphone:$addr_sys_phone}{else}{*
                    *}{$address_info->phone2|totapiphone2:$addr_sys_phone}{/if}
                </td>
                <td class="tel">
                    <span class="type" style="display: none;">work</span>
                    <span class="value">
                    {if empty($addr_sys_phone.part1) || $call_is_mobile}
                        {$address_info->phone2|torealphone}
                    {else}
                        {$address_info->phone2|tocallphone:$addr_sys_phone:$i:0:$address_info->id}
                    {/if}
                    </span>
                </td>
            </tr>
        {/if}
        {if $address_info->mobile_phone neq ''}
            <tr {if $address_info_derived->mobile_phone}class="infobluerow"{/if}>
                <td>
                    {$i.addresses_mobile_phone}
                    {$address_info->mobile_phone|tocallphone:$addr_sys_phone:$i:1:$address_info->id}{*
                    *}{$address_info->mobile_phone|toskypehone:$address_info->id}{*
                    *}{if !$addr_sys_tapi_data}{$address_info->mobile_phone|totapiphone:$addr_sys_phone}{else}{*
                    *}{$address_info->mobile_phone|totapiphone2:$addr_sys_phone}{/if}
                </td>
                <td class="tel">
                    <span class="type" style="display: none;">cell</span>
                    <span class="value">
                    {if empty($addr_sys_phone.part1) || $call_is_mobile}
                        {$address_info->mobile_phone|torealphone}
                    {else}
                        {$address_info->mobile_phone|tocallphone:$addr_sys_phone:$i:0:$address_info->id}
                    {/if}
                    </span>
                </td>
            </tr>
        {/if}
        {if $address_info->fax neq ''}
            <tr {if $address_info_derived->fax}class="infobluerow"{/if}>
                <td>
                    {$i.addresses_fax}
                    {$address_info->fax|tocallphone:$addr_sys_phone:$i:1:$address_info->id}{*
                    *}{$address_info->fax|toskypehone:$address_info->id}{*
                    *}{if !$addr_sys_tapi_data}{$address_info->fax|totapiphone:$addr_sys_phone}{else}{*
                    *}{$address_info->fax|totapiphone2:$addr_sys_phone}{/if}
                </td>
                <td class="tel">
                    <span class="type" style="display: none;">fax</span>
                    <span class="value">
                    {if empty($addr_sys_phone.part1) || $call_is_mobile}
                        {$address_info->fax|torealphone}
                    {else}
                        {$address_info->fax|tocallphone:$addr_sys_phone:$i:0:$address_info->id}
                    {/if}
                    </span>
                </td>
            </tr>
        {/if}
        {if $address_info->modem neq ''}
            <tr {if $address_info_derived->modem}class="infobluerow"{/if}>
                <td>{$i.addresses_modem}</td>
                <td class="tel">
                    <span class="type" style="display: none;">pager</span>
                    <span class="value">
                    {$address_info->modem}
                    </span>
                </td>
            </tr>
        {/if}
        {if $address_info->url neq ''}
            <tr {if $address_info_derived->url}class="infobluerow"{/if}>
                <td>
                    {$i.addresses_url}
                    {if $address_info->real_url}
                        {if !$allow_qr}
                            <span class="dialog_make_btn16 qr smallbtns ui-corner-all" style="opacity: 0.2;"
                                onclick="alert('{$i.addresses_url_qr} Deaktiviert/Deactivated')"
                                title="{$i.addresses_url_qr} Deaktiviert/Deactivated"></span>
                        {else}
                            <span class="dialog_make_btn16 qr smallbtns ui-corner-all"
                                onclick="usComm.windowOpen('http://api.qrserver.com/v1/create-qr-code/?data={$address_info->real_url|escape:'url'}&size=600x600&margin=50', 'qrserver', 'width=800,height=600,dependent=yes,location=no,menubar=no,resizable=yes,status=no,toolbar=no');"
                                title="{$i.addresses_url_qr}"></span>
                        {/if}
                    {/if}
                </td>
                <td>
                    {link_if_url val=$address_info->real_url}
                </td>
            </tr>
        {/if}
        <tr {if $address_info_derived->email}class="infobluerow"{/if}>
            <td>{$i.addresses_email}</td>
            <td>
                {if $address_info->email neq ''}
                    <a href="{emailsimple email=$address_info->email address_id=$address_info->id}" class="email">{$address_info->email}</a>
                    <a href="{emailsimple email=$address_info->email address_id=$address_info->id force_mailto=true}" class="email"><span class="dialog_make_btn16 email smallbtns ui-corner-all"></span></a>
                {else}
                    <div class="dialog_make_btn14 urgent1_warn ui-corner-all"></div>
                {/if}
            </td>
        </tr>
        <tr>
            <td>
                {$i.addresses_emails}
                {if $user_can_change}
                    <span class="dialog_make_btn16 edit smallbtns ui-corner-all"
                        onclick="addressesandcontacts.emails.open({$address_info->id}, 'inforight_address_emails')"
                        title="{$i.basic_edit}"></span>
                {/if}
            </td>
            <td>
                <div class="many" id="inforight_address_emails">
                    {foreach from=$address_info->emails item=email}
                        <p {if $address_info->email eq $email->email}class="email"{/if} title="{$email->email}">
                            <a href="{emailsimple email=$email->email emails_id=$email->id address_id=$address_info->id}" class="email">{$email->email}</a>
                            <a href="{emailsimple email=$email->email emails_id=$email->id address_id=$address_info->id force_mailto=true}" class="email"><span class="dialog_make_btn16 email smallbtns ui-corner-all"></span></a>
                        </p>
                    {foreachelse}
                        &nbsp;
                    {/foreach}
                </div>
            </td>
        </tr>
        {if $address_info->vat neq ''}
            <tr {if $address_info_derived->vat}class="infobluerow"{/if}>
                <td>{$i.addresses_vat}</td>
                <td>{$address_info->vat}</td>
            </tr>
        {/if}
        {if $address_info->creditor_no neq ''}
            <tr>
                <td>{$i.addresses_creditor_no}</td>
                <td>{$address_info->creditor_no}</td>
            </tr>
        {/if}
        {if $address_info->debtor_no neq ''}
            <tr>
                <td>{$i.addresses_debtor_no}</td>
                <td>{$address_info->debtor_no}</td>
            </tr>
        {/if}
        <tr>
            <td>
                {$i.addresses_relations}
                <span class="dialog_make_btn16 edit smallbtns ui-corner-all"
                    onclick="addressesandcontacts.relations.open({$address_info->id}, 'inforight_address_relations')"
                    title="{$i.basic_edit}"></span>
            </td>
            <td>
                <div class="many" id="inforight_address_relations">
                    {foreach from=$address_info->relations item=relation}
                        <p id="inforight_address_relation_{$relation->id}" {relation_link relation=$relation}>
                            {$relation->title|truncate:35:"..."}
                            {include file='Addressesandcontacts/_relation_tooltip.tpl' id="inforight_address_relation_{$relation->id}" data=$relation lang=$i}
                        </p>
                    {foreachelse}
                        &nbsp;
                    {/foreach}
                </div>
            </td>
        </tr>
        {if !empty($address_info->comment_main)}
            <tr style="background:rgba(255, 220, 210, 0.3);">
                <td title="(Butler CRM)">
                    {$i.addresses_comment_main}
                </td>
                <td title="(Butler CRM)">
                    {$address_info->comment_main}
                </td>
            </tr>
        {/if}
        {if !empty($address_info->address_comment_main_date) && !empty($address_info->address_comment_main_staff)}
            <tr style="background:rgba(255, 220, 210, 0.3);">
                <td title="(Butler CRM)">
                    {$address_info->address_comment_main_date->us_date()}
                </td>
                <td title="(Butler CRM)">
                    {$address_info->address_comment_main_staff}
                </td>
            </tr>
        {/if}
        <tr>
            <td>
                {$i.addresses_description}
                <span class="dialog_make_btn16 edit smallbtns ui-corner-all"
                    onclick="addressesandcontacts.description.open({$address_info->id}, 'inforight_address_description')"
                    title="{$i.basic_edit}"></span>
            </td>
            <td>
                <div class="many" id="inforight_address_description">
                    {foreach from=$address_info->description item=description}
                        <p class="description portlettooltip smallbtns" id="inforight_address_description_{$description->id}"
                           {if $user_can_change}onclick="addressesandcontacts.description.open({$address_info->id}, 'inforight_address_description')"{/if}>
                            {$description->description|truncate:80:"..."}
                            {include file='Addressesandcontacts/_description_tooltip.tpl' id="inforight_address_description_{$description->id}" data=$description lang=$i}
                        </p>
                    {foreachelse}
                        &nbsp;
                    {/foreach}
                </div>
            </td>
        </tr>
        <tr {if $address_info_derived->categories}class="infobluerow"{/if}>
            <td>{$i.addresses_categories}</td>
            <td>
                <div class="many">
                    {foreach from=$address_info->categories item=category}
                        <p class="category" title="{$category->name}">{$category->name|truncate:35:"..."}</p>
                    {foreachelse}
                        &nbsp;
                    {/foreach}
                </div>
            </td>
        </tr>
        {if $address_info->image neq '' || $call_gravatar}
            <tr>
                <td>{$i.addresses_image}</td>
                <td>
                    <span class="preview">
                        {if $address_info->image}
                            {img_html uri=$address_info->image_uri class='photo ui-corner-all'}
                        {/if}
                    </span>
                </td>
            </tr>
        {/if}
        {if $address_info->longitude neq ''}
            <tr>
                <td>{$i.addresses_longitude}</td>
                <td>{if !empty($address_info->longitude)}{islongfloat value=$address_info->longitude}{/if}</td>
            </tr>
        {/if}
        {if $address_info->latitude neq ''}
            <tr>
                <td>{$i.addresses_latitude}</td>
                <td>
                    {if !empty($address_info->latitude)}{islongfloat value=$address_info->latitude}{/if}
                    {if $address_info->longitude neq ''}
                        <span class="dialog_make_btn16 maps smallbtns ui-corner-all"
                              onclick="addressesandcontacts.openstreetmap_view_do({$address_info->latitude}, {$address_info->longitude});"
                              title="{$i.basic_view}"></span>
                    {/if}
                </td>
            </tr>
        {/if}
        <tr>
            <td>{$i.basic_created_by}</td>
            <td>{$address_info->created_by_name}</td>
        </tr>     
        <tr>
            <td>{$i.basic_created_date}</td>
            <td>{$address_info->created_date->us_date()}</td>
        </tr>    
        <tr>
            <td>
                {$i.basic_changed_by}
                {if $user_can_datacollection}
                    <a class="dialog_make_btn16 account_history smallbtns ui-corner-all"
                        onclick="{$modifications_action}" title="{$i.addresses_d_modifications}"></a>
                {/if}
            </td>
            <td>{$address_info->changed_by_name}</td>
        </tr>      
        <tr>
            <td>{$i.basic_change_date}</td>
            <td>{$address_info->change_date->us_date()}</td>
        </tr>
        {foreach from=$address_info->addi_fields item=field}
            <tr>
                {if $field->type eq US_exmodel::T_BLOCK}
                    <th colspan="2" style="text-align:center; {if isset($field->color)}background:{$field->color}{/if}">{$field->name}</th>
                {else}
                    <td style="{if isset($field->color)}background:{$field->color}{/if}">{$field->name}</td>
                    <td>
                        {assign var='field_id' value=$field->field}
                        {addiview field=$field value=$address_info->$field_id item=$address_info}
                    </td>
                {/if}
            </tr>
        {/foreach}
        <tr {if $address_info_derived->active}class="infobluerow"{/if}>
            <td>{$i.addresses_active}</td>
            <td>{boolview value=$address_info->active}</td>
        </tr>
        {if !empty($address_info->dsgvo_delete_date) && !$address_info->dsgvo_delete_date->is_null()}
            <tr>
                <td>{$i.addresses_dsgvo_delete_date}</td>
                <td>{$address_info->dsgvo_delete_date->us_date()}</td>
            </tr>
        {/if}
        {if !empty($address_info->dsgvo_data_from)}
            <tr>
                <td>{$i.addresses_dsgvo_data_from}</td>
                <td>{$address_info->dsgvo_data_from}</td>
            </tr>
        {/if}
    </tbody>
</table>

<iframe id="callstatus" type="text/html" src="{site_url}empty.html" seamless="seamless" style="height:20px; border: 1px dotted #6F6F6F;"
        sandbox="allow-forms allow-scripts">
</iframe>