<!DOCTYPE HTML>
<head>
    <meta charset="utf-8" />
        <title>OAuth 2.0 - <?php echo $title; ?></title>
	<style type="text/css">
            #biginfo {
                width: 80vw;
                max-width: 500px;
                margin: 8vh auto;
                text-align: center;
            }
            #biginfo h1, #biginfo p {
                margin-top: 2vh;
                margin-bottom: 2vh;
            }
	</style>
        
        <?php if ($js_path === 'js') { ?>
            <script src="<?php echo site_url($js_path.'/jquery/jquery-2.2.4__'.$us_version_ue.'.js'); ?>" defer></script>
        <?php } else { ?>
            <script src="<?php echo site_url($js_path.'/jquery__'.$us_version_ue.'.js'); ?>" defer></script> 
        <?php } ?>

        <link rel="stylesheet" type="text/css" href="<?php echo site_url($css_path.'/basic__'.$us_version_ue.'.css'); ?>">
        <link rel="stylesheet" type="text/css" href="<?php echo site_url($css_path.'/icons__'.$us_version_ue.'.css'); ?>">
    </head>
    <?php
        if (isset($url)) {
            $action = "$(\'#loadinfo\').show(); document.location=\'".$url."\'";
        }
    ?>
    <body onLoad="setTimeout('<?php echo $action; ?>', <?php echo (isset($wait) ? $wait : 1000); ?>)"><?php /* Milliseconds wait */ ?>
        <div id="biginfo">
            <h1>OAuth 2.0 <?php echo $title; ?></h1>
            <p style="display:none;" id="loadinfo">
                <?php if (isset($url)): ?>
                Connecting to <?php echo us_substr($url, 0, 60); ?>&#8230;<br /><br />
                <?php endif; ?>
                <span class="dialog_make_load48" title="Loading..."></span>
            </p>
        </div>
    </body>
</html>
