<div class="ui-report-header ui-widget-header ui-corner-all noprint" style="pd4ml-display:none;">
    <a class="dialog_make_text_btn ui-corner-all" style="pd4ml-display:none;"
       onclick="evaluation.open_file(this, 'pdf', '{site_url url="reportportlet/`$reports_xjxcookie`/g_pep7/result_pdf/`$g_pep7_file_id`"}', 'XNOX')">
        <span class="dialog_make_btn16 pdf"></span>
        PDF
    </a>
    
    {portlet file='report_designs_list'}
</div>

<p style="padding-bottom:5px;">
    {if $regular_hours===false || $regular_hours <= 0}
        <span style="margin: 5px; display:inline-block;" class="warningsmall ui-corner-all smallbtns" {if $has_right_masterdata}onclick="usComm.loadPage('masterdatamanagement','index','global');return false;"{/if}>
            {$i.portlet_config_regular_hours}
        </span>
        <br />
    {/if}
    
    {if isset($pep7_after_today_warning)}
        <span style="margin: 5px 5px 20px 5px; display:inline-block;" class="warningsmall ui-corner-all">Das Ende Datum wurde auf das heutige Datum gesetzt</span>
    {/if}

    {if isset($from_date) && $from_date}
        <span style="margin: 5px 5px 20px 5px; display:inline-block;">{$i.reporting_time_period}: {$from_date->us_date()} - {$to_date->us_date()}</span>
    {/if}
    {if isset($no_indirect_costs) && $no_indirect_costs}
        <span style="margin: 5px 5px 20px 5px; display:inline-block;">{$i.filter_no_indirect_costs}: {$i.basic_yes}</span>
    {/if}    
    {if isset($individual_costs_with_extras) && $individual_costs_with_extras}
        <span style="margin: 5px 5px 20px 5px; display:inline-block;">Einzelkosten inkl. Neben-/Reisekosten und Externe Kosten: {$i.basic_yes}</span>
    {/if}    
</p>

{include file='reportsview/r_division.tpl'
    div_title="Umsatzrendite"
    div_top="Umsatz - Gesamtkosten"
    div_bottom="Umsatz"
    div_top_value="{isfloat value=$revenue} - {isfloat value=$sum_overall}"
    div_bottom_value="{isfloat value=$revenue}"
    div_total="{if $revenue}{isfloat value=( ($revenue - $sum_overall)/$revenue )*100}{else}-{/if} %"}
    
{include file='reportsview/r_doubledivision.tpl'
    div_title="Umsatzziel"
    div_top="Umsatz"
    div_bottom="Mitarbeiter"
    div_right_math="/"
    div_right="Jahre"
    div_top_value="{isfloat value=$revenue}"
    div_bottom_value="{isfloat value=$employees}"
    div_right_value="{isfloat value=$days/365.25}"
    div_total="{if $days && $employees}{isfloat value=( ($revenue/$employees) / ($days/365.25) )} {$currency_symbol}{else}-{/if}"}

{include file='reportsview/r_division.tpl'
    div_title="Arbeitskostenquote"
    div_top="Arbeitskosten"
    div_bottom="Gesamtkosten"
    div_top_value="{isfloat value=$sum_work_costs}"
    div_bottom_value="{isfloat value=$sum_overall}"
    div_total="{if $sum_overall}{isfloat value=( $sum_work_costs/$sum_overall )*100}{else}-{/if} %"}

{include file='reportsview/r_division.tpl'
    div_title="Projektstundenanteil"
    div_top="Projektstunden"
    div_bottom="Gesamtstunden"
    div_top_value="{isfloat value=$project_hours}"
    div_bottom_value="{isfloat value=$overall_hours}"
    div_total="{if $overall_hours}{isfloat value=( $project_hours/$overall_hours )*100}{else}-{/if} %"}

<pd4ml:page.break>
    
{include file='reportsview/r_division.tpl'
    div_title="Mittlerer Bürostundensatz"
    div_top="Gesamtkosten"
    div_bottom="Projektstunden"
    div_top_value="{isfloat value=$sum_overall}"
    div_bottom_value="{isfloat value=$project_hours}"
    div_total="{if $project_hours}{isfloat value=($sum_overall/$project_hours)} {$currency_symbol}{else}-{/if}"}

{include file='reportsview/r_division.tpl'
    div_title="Gemeinkostenfaktor"
    div_top="Gesamtkosten"
    div_bottom="Einzelkosten"
    div_top_value="{isfloat value=$sum_overall}"
    div_bottom_value="{isfloat value=$individual_costs}"
    div_total="{if $individual_costs}{isfloat value=($sum_overall/$individual_costs)}{else}-{/if}"}
    
<h3 style="clear:both;">Messgrößen (Ohne Zeitraumeinschränkung)</h3>

<table class="editablepop" style="width:500px; margin:15px;">
    <thead>
        <tr>
            <th>Messgrößen</th>
            <th>Summe der Messgrößen</th>
            <th>Stunden der Messgrößen</th>
            <th>Stunde/Messgrößen</th>
        </tr>
    </thead>
    <tbody>
    {foreach item="item" name="index" from=$measurements}
        <tr class="{if $smarty.foreach.index.index is even}even{/if}">
            <td title="Messgrößen">{*
                *}{$item->name}
            </td>
            <td title="Summe der Messgrößen" style="text-align:right;">{*
                *}{isfloat value=$item->mess_sum}
            </td>
            <td title="Stunden der Messgrößen" style="text-align:right;">{*
                *}{isfloat value=$item->mess_hours}
            </td>
            <td title="Stunde/Messgrößen" style="text-align:right;">{*
                *}{if $item->mess_sum}{isfloat value=$item->mess_hours/$item->mess_sum}{else}-{/if}
            </td>
        </tr>
    {/foreach}
    </tbody>
</table>
